%global momorel 11
Name:           perl-Gtk2-Ex-Simple-List
Version:        0.50
Release:	%{momorel}m%{?dist}
Summary:        Simple interface to Gtk2's complex MVC list widget
License:        LGPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk2-Ex-Simple-List/
Source0: http://www.cpan.org/authors/id/R/RM/RMCFARLA/Gtk2-Perl-Ex/Gtk2-Ex-Simple-List-%{version}.tar.gz 
NoSource: 0
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl-Gtk2 >= 1.143-4m
Requires:	perl-Gtk2 >= 1.143-4m
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Gtk2 has a powerful, but complex MVC (Model, View, Controller) system used
to implement list and tree widgets. Gtk2::Ex::Simple::List automates the
complex setup work and allows you to treat the list model as a more natural
list of lists structure.

%prep
#'
%setup -q -n Gtk2-Ex-Simple-List-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{__chmod} -Rf a+rX,u+w,g-w,o-w %{buildroot}/*

#%%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc examples/ 
%dir %{perl_vendorlib}/Gtk2/Ex/Simple
%{perl_vendorlib}/Gtk2/Ex/Simple/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.50-11m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.50-10m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.50-9m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.50-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.50-7m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.50-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.50-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.50-4m)
- %%NoSource -> NoSource

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.50-3m)
- fix files dup

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.50-2m)
- use vendor

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.50-1m)
- import to Momonga from Fedora Development


* Sat Dec 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-2
- bump

* Thu Nov 30 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-1
- Specfile autogenerated by cpanspec 1.69.1.
